org.icefaces.ace.component.tree

## Class TreeRendererContext

- java.lang.Object
- - org.icefaces.ace.component.tree.TreeRendererContext

-     public class TreeRendererContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeRendererContext(Tree tree, java.lang.String widgetVar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDotURL()`
    `TreeExpansionMode` | `getExpansionMode()`
    `TreeSelectionMode` | `getSelectionMode()`
    `Tree` | `getTree()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isExpansion()`
    `boolean` | `isLazy()`
    `boolean` | `isMultipleSelection()`
    `boolean` | `isReordering()`
    `boolean` | `isSelection()`
    `void` | `setTree(Tree tree)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeRendererContext

          public TreeRendererContext(Tree tree,
                                     java.lang.String widgetVar)

  - ### Method Detail

    - #### getTree

          public Tree getTree()

    - #### setTree

          public void setTree(Tree tree)

    - #### isSelection

          public boolean isSelection()

    - #### isMultipleSelection

          public boolean isMultipleSelection()

    - #### getSelectionMode

          public TreeSelectionMode getSelectionMode()

    - #### getExpansionMode

          public TreeExpansionMode getExpansionMode()

    - #### isExpansion

          public boolean isExpansion()

    - #### getDotURL

          public java.lang.String getDotURL()

    - #### isLazy

          public boolean isLazy()

    - #### isReordering

          public boolean isReordering()

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.